Error: Invalid spaceKey on retrieving a related space config.

Supported browsers, mobile devices, and integrations

This section provides information about the browsers, mobile devices, and integrations that BMC Helix Remedyforce supports:

Salesforce platform

BMC Helix Remedyforce is supported on the Enterprise Edition, Unlimited Edition, and Performance Edition versions of the Salesforce platform. For more information about the editions offered by Salesforce, see the Salesforce Help.

Supported browsers

BrowserSupported versions
Apple Safari on Macintosh OS

12.0.2 

Google Chrome

71.0.3578.98

Mozilla Firefox

64.0.2

Microsoft Edge44.17763.1.0
Microsoft Internet Explorer

Remedyforce will be supported on Microsoft Internet Explorer 11 for Salesforce Classic. However, Remedyforce is not supported on Microsoft Internet Explorer 8, 9, and 10 versions.

Please be aware that, if any browser specific issues are found with regards to Microsoft Internet Explorer 11, we will attempt to fix, however, it is becoming more and more challenging to resolve IE 11 browser specific issues as technology continues to advance and some features may not work as expected due to these reasons. 

In case you have opted for Extended use of Microsoft Internet Explorer 11 with Lightning Experience under Setup > Security > Session Settings, it is still not recommended to run on Explorer 11 because of security compromises and performance issues.

It is recommended to switch to other fully supported browsers listed above.

Note

BMC Helix Remedyforce is not supported on mobile browsers. If you want to use Remedyforce on mobile, BMC recommends that you use Salesforce1 Mobile App.

Supported mobile devices and operating systems

Mobile applicationSupported devicesSupported mobile operating systems

BMC Helix Remedyforce mobile application on the Salesforce1 platform (for staff members)

Apple mobile devices (iPhone 4 and later models)iOS 7 or later
Android phonesAndroid 4.2 or later

BMC Helix Remedyforce Self Service mobile application on the Salesforce1 platform

Apple mobile devices (iPhone 5 and later models)

iOS 8.4 or later
Android phonesAndroid 5.0 or later

Best practice

To use the Self Service mobile app or Service Desk mobile app, BMC recommends that you install the latest versions of your mobile operating system and the Salesforce1 Mobile App.

Supported integrations with other products

Area of integrationSupported ProductSupported versions
Asset management

Microsoft System Center Configuration Manager

2012 R2 SP1, 2012, 2007

BMC FootPrints Asset Core

11.7, 11.6

BMC Client Management

Notes:

  • Before version 12.0, BMC Client Management was known as BMC FootPrints Asset Core.
  • The Pentaho package to import data from BMC FootPrints Asset Core (package name: FootPrints Asset Core WebServices Integration Package CMDB 2.0 does not work with Pentaho 6.1 and 7.1. To import data, you must use Pentaho 6.0.)
12.8 Patch 2, 12.7 Patch 1, 12.6, 12.5, 12.0
BMC Client Management OnDemand12.8 Patch 2, 12.7, 12.5, 12.0
BMC BladeLogic Client Automation9.0.04, 9.0.03, 9.0.02, 9.0.00, 8502, 8501, 8.5, 8.3, 8.2.02, 8.2.01, 8.2.00

BMC Discovery

(Before version 11.0, BMC Discovery was known as BMC Atrium Discovery and Dependency Mapping.)

Note: BMC Discovery 11.0 works with the existing Pentaho packages that are available on BMC Communities. However, there is a known issue with the Edit Mapping feature. For more information about the issue and the workaround, see issue 79517 in the Known and corrected issues topic.


11.3.04, 11.3.03, 11.3.02, 11.3.01, 11.2.01, 11.1, 11, 10.2, 10.1, 10.0, 9.0.2, 9.0, 8.3.2.2, 8.2.1
BMC Helix Discovery
Dell KACE K1000 Systems Management Appliance

5.3.53053

Communication protocolLDAP 3, 23, 2
BMC Atrium Configuration Management Database

BMC Atrium CMDB

18.08, 9.1 SP5, 9.1 SP4,12.6, 11.1, 9.1 SP2, 9.1, 9.0 SP1, 9.0, 8.1

Data integration

Pentaho


7.1, 6.0.1, 5.0.4, 5.0.3, 5.0.2, 5.0.1, 4.4, 4.3, 4.2, 4.1

  • 8.1 and 8.2 are supported only on the following applications:
    • SCCM 2012 R2 SP1
    • BBCA 9.0.04
    • LDAP 3.0 and LDAP 3.0 With Permissions
    • DELL KACE CMDB 2.0
    • BCM 12.8 Patch 2
    • Configuration Migration
  • 8.0 is supported only on the following application:
    • ADDM 11.3.04
    • Configuration Migration
Java Runtime Environment (JRE)8
Knowledge management

Salesforce.com Article Management

Not applicable
RightAnswers Knowledge Management1.3
Network monitoring and event notification

BMC ProactiveNet Performance Management (TrueSight Operations Management)

11.3.02, 11.3.01, 11.3, 10.5TSOM, 9.6FP2, 10.1, 10, 9.6, 9.5, 9.0.20, 9.0, 8.6
BMC Server Automation8.9 SP4, 8.9 SP3 Patch 1, 8.9 SP3, 8.9 SP2, 8.9. SP1, 8.9, 8.7P2, 8.7, 8.6 SP1, 8.6, 8.5.01.234
BMC Real End User Experience Monitoring

11.0.00.002, 11, 10.5, 2.7.01, 2.7, 6.6.68.313, 6.6, 6.5.64.306, 6.0, 1.3

Self Service

BMC MyIT OnDemand

Note: BMC Helix Remedyforce no longer supports integration with BMC MyIT.

3.2, 3.1, 2.6, 2.5, 2.2, 2.1.00
Social mediaSalesforce.com Chatter3.2.3, 3.2.2, 3.2.1, 3.0
Telephony Application Programming InterfaceSalesforce.com computer-telephony integration (CTI)

Open CTI Demo Adapter Spring 15 - 1.5, Demo CTI Adapter 4.03, 4.02

Lightning CTI Demo Adapter: Winter 17

Related topics

General recommendations

Supported languages and locales

Integrating

Was this page helpful? Yes No Submitting... Thank you

Comments